Author Topic: Glibc version on Sparky 3.2?  (Read 658 times)

Offline illuminated

  • Newbie
  • *
  • Posts: 2
Glibc version on Sparky 3.2?
« on: February 01, 2014, 10:10:51 pm »
Hi all,



a happy Crunchbang user here, but lately I've been in need of an updated Glibc library so I could install and use some apps.



So, as there's no easy way to upgrade this lib in Crunchbang, I'm searching for a more up-to-date distro. Being very happy with Debian base, I was hoping Sparky might be the right choice.



So, can anyone please tell me the glibc version on latest Sparky (3.2)?



If you're unsure how to do it, you just need to locate your libc.so.6 and run it as an app through CLI. In Crunchbang, it is located in

Code:

/lib/x86_64-linux-gnu


folder, so my output is (note the bolded version number in first line):



Quote:



Code:

$ /lib/x86_64-linux-gnu/libc.so.6
GNU C Library (Debian EGLIBC 2.13-38) stable release version 2.13, by Roland McGrath et al.
Copyright (C) 2011 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
Compiled by GNU CC version 4.4.7.
Compiled on a Linux 3.2.35 system on 2012-12-30.
Available extensions:
   crypt add-on version 2.1 by Michael Glad and others
   GNU Libidn by Simon Josefsson
   Native POSIX Threads Library by Ulrich Drepper et al
   BIND-8.2.3-T5B
libc ABIs: UNIQUE IFUNC
For bug reporting instructions, please see:
<http://www.debian.org/Bugs/>.






Thanks a lot!
« Last Edit: February 01, 2014, 10:10:51 pm by 296 »

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: Glibc version on Sparky 3.2?
« Reply #1 on: February 01, 2014, 10:21:36 pm »
Hi

It's exactly the same as Debian tesing - 2. 17:

packages.debian.org/search?suite=jessie§ion=all&arch=any&searchon=names&keywords=libc
« Last Edit: June 30, 2014, 06:06:08 pm by 14 »
Nothing is easy as it looks.

Offline illuminated

  • Newbie
  • *
  • Posts: 2
Re: Glibc version on Sparky 3.2?
« Reply #2 on: February 01, 2014, 10:24:16 pm »
Perfect, just what I need. No need to go down the lubuntu road now :)



Thanks for a really fast reply, hope I'll stick around for a while :)
« Last Edit: June 30, 2014, 06:05:49 pm by 296 »